Skip to content

Get account by ID

Request

Security
oauth2ClientCredentials(Required scopes: accounts:read)
Path
idstringrequired
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/accounts/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Account details

Bodyapplication/json
statusnumberrequired

HTTP status code

Example:200
dataobjectrequired

Response data

messagestring

Optional response message

Example:"Operation completed successfully"
timestampstringrequired

Response timestamp in ISO format

Example:"2024-01-01T00:00:00.000Z"
pathstring

Request path (mainly for error responses)

Example:"/api/v1/accounts"
Response
{ "status": 200, "data": {}, "message": "Operation completed successfully", "timestamp": "2024-01-01T00:00:00.000Z", "path": "/api/v1/accounts" }